Package net.shibboleth.shared.spring.custom

# Class EmbeddedAndSchemaAwareReader

java.lang.Object
org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader
net.shibboleth.shared.spring.custom.SchemaTypeAwareBeanDefinitionDocumentReader
net.shibboleth.shared.spring.custom.EmbeddedAndSchemaAwareReader

All Implemented Interfaces:
  `BeanDefinitionDocumentReader`

public class EmbeddedAndSchemaAwareReader extends SchemaTypeAwareBeanDefinitionDocumentReader
An extension to our `SchemaTypeAwareBeanDefinitionDocumentReader` which, in addition allows parsing of embedded <beans> statements (by the native spring parsers).

## Field Summary

### Fields inherited from class org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader

`ALIAS_ATTRIBUTE, ALIAS_ELEMENT, BEAN_ELEMENT, IMPORT_ELEMENT, logger, NAME_ATTRIBUTE, NESTED_BEANS_ELEMENT, PROFILE_ATTRIBUTE, RESOURCE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`EmbeddedAndSchemaAwareReader()`

## Method Summary

Modifier and Type
Method
Description
`void`
`registerBeanDefinitions(Document doc, XmlReaderContext readerContext)`
We call the parent method for the custom schema (which is expected to not do anything special with the <beans> statement) and then we call again to handle the beans statements which we have explicitly pulled out.

### Methods inherited from class net.shibboleth.shared.spring.custom.SchemaTypeAwareBeanDefinitionDocumentReader

`createDelegate, importBeanDefinitionResource`

### Methods inherited from class org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader

`doRegisterBeanDefinitions, extractSource, getReaderContext, parseBeanDefinitions, postProcessXml, preProcessXml, processAliasRegistration, processBeanDefinition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmbeddedAndSchemaAwareReader

public EmbeddedAndSchemaAwareReader()

## Method Details

### registerBeanDefinitions

public void registerBeanDefinitions(@Nonnull Document doc, @Nonnull XmlReaderContext readerContext) throws BeanDefinitionStoreException
We call the parent method for the custom schema (which is expected to not do anything special with the <beans> statement) and then we call again to handle the beans statements which we have explicitly pulled out.

Specified by:
  `registerBeanDefinitions` in interface `BeanDefinitionDocumentReader`
Overrides:
  `registerBeanDefinitions` in class `DefaultBeanDefinitionDocumentReader`
Throws:
  `BeanDefinitionStoreException`